Freeciv-3.1: city_icon Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
city_icon Struct Reference

`#include <gui_tilespec.h>`

## Data Fields

int | style
SDL_Surface * | big_food_corr
SDL_Surface * | big_shield_corr
SDL_Surface * | big_trade_corr
SDL_Surface * | big_food
SDL_Surface * | big_shield
SDL_Surface * | big_trade
SDL_Surface * | big_luxury
SDL_Surface * | big_coin
SDL_Surface * | big_colb
SDL_Surface * | pBIG_Face
SDL_Surface * | big_coin_corr
SDL_Surface * | big_coin_upkeep
SDL_Surface * | big_shield_surplus
SDL_Surface * | big_food_surplus
SDL_Surface * | food
SDL_Surface * | shield
SDL_Surface * | trade
SDL_Surface * | pLuxury
SDL_Surface * | coint
SDL_Surface * | pColb
SDL_Surface * | face
SDL_Surface * | pollution
SDL_Surface * | police
SDL_Surface * | worklist
SDL_Surface * | male_happy
SDL_Surface * | female_happy
SDL_Surface * | male_content
SDL_Surface * | female_content
SDL_Surface * | male_unhappy
SDL_Surface * | female_unhappy
SDL_Surface * | male_angry
SDL_Surface * | female_angry
SDL_Surface * | specialists [SP_MAX]

## Detailed Description

Definition at line 149 of file gui_tilespec.h.

## Field Documentation

## ◆ big_coin

SDL_Surface* city_icon::big_coin

Definition at line 159 of file gui_tilespec.h.

Referenced by economy_report_dialog_popup(), real_activeunits_report_dialog_update(), real_info_city_report_dialog_update(), redraw_city_dialog(), and tilespec_setup_city_icons().

## ◆ big_coin_corr

SDL_Surface* city_icon::big_coin_corr

Definition at line 162 of file gui_tilespec.h.

Referenced by redraw_city_dialog(), and tilespec_setup_city_icons().

## ◆ big_coin_upkeep

SDL_Surface* city_icon::big_coin_upkeep

Definition at line 163 of file gui_tilespec.h.

Referenced by redraw_city_dialog(), and tilespec_setup_city_icons().

## ◆ big_colb

SDL_Surface* city_icon::big_colb

Definition at line 160 of file gui_tilespec.h.

Referenced by economy_report_dialog_popup(), real_info_city_report_dialog_update(), real_science_report_dialog_update(), redraw_city_dialog(), and tilespec_setup_city_icons().

## ◆ big_food

SDL_Surface* city_icon::big_food

Definition at line 155 of file gui_tilespec.h.

Referenced by real_activeunits_report_dialog_update(), real_info_city_report_dialog_update(), redraw_city_dialog(), and tilespec_setup_city_icons().

## ◆ big_food_corr

SDL_Surface* city_icon::big_food_corr

Definition at line 152 of file gui_tilespec.h.

Referenced by real_info_city_report_dialog_update(), redraw_city_dialog(), and tilespec_setup_city_icons().

## ◆ big_food_surplus

SDL_Surface* city_icon::big_food_surplus

Definition at line 165 of file gui_tilespec.h.

Referenced by real_info_city_report_dialog_update(), redraw_city_dialog(), and tilespec_setup_city_icons().

## ◆ big_luxury

SDL_Surface* city_icon::big_luxury

Definition at line 158 of file gui_tilespec.h.

Referenced by economy_report_dialog_popup(), real_info_city_report_dialog_update(), redraw_city_dialog(), redraw_happiness_city_dialog(), and tilespec_setup_city_icons().

## ◆ big_shield

SDL_Surface* city_icon::big_shield

Definition at line 156 of file gui_tilespec.h.

Referenced by real_activeunits_report_dialog_update(), real_info_city_report_dialog_update(), redraw_city_dialog(), and tilespec_setup_city_icons().

## ◆ big_shield_corr

SDL_Surface* city_icon::big_shield_corr

Definition at line 153 of file gui_tilespec.h.

Referenced by real_info_city_report_dialog_update(), redraw_city_dialog(), and tilespec_setup_city_icons().

## ◆ big_shield_surplus

SDL_Surface* city_icon::big_shield_surplus

Definition at line 164 of file gui_tilespec.h.

Referenced by real_info_city_report_dialog_update(), redraw_city_dialog(), and tilespec_setup_city_icons().

## ◆ big_trade

SDL_Surface* city_icon::big_trade

Definition at line 157 of file gui_tilespec.h.

Referenced by real_info_city_report_dialog_update(), redraw_city_dialog(), and tilespec_setup_city_icons().

## ◆ big_trade_corr

SDL_Surface* city_icon::big_trade_corr

Definition at line 154 of file gui_tilespec.h.

Referenced by real_info_city_report_dialog_update(), redraw_city_dialog(), and tilespec_setup_city_icons().

## ◆ coint

SDL_Surface* city_icon::coint

Definition at line 171 of file gui_tilespec.h.

Referenced by create_unit_surface(), and tilespec_setup_city_icons().

## ◆ face

SDL_Surface* city_icon::face

Definition at line 173 of file gui_tilespec.h.

Referenced by create_unit_surface(), and tilespec_setup_city_icons().

## ◆ female_angry

SDL_Surface* city_icon::female_angry

Definition at line 188 of file gui_tilespec.h.

Referenced by redraw_happiness_city_dialog(), reload_small_citizens_icons(), and tilespec_free_city_icons().

## ◆ female_content

SDL_Surface* city_icon::female_content

Definition at line 184 of file gui_tilespec.h.

Referenced by redraw_happiness_city_dialog(), reload_small_citizens_icons(), and tilespec_free_city_icons().

## ◆ female_happy

SDL_Surface* city_icon::female_happy

Definition at line 182 of file gui_tilespec.h.

Referenced by redraw_happiness_city_dialog(), reload_small_citizens_icons(), and tilespec_free_city_icons().

## ◆ female_unhappy

SDL_Surface* city_icon::female_unhappy

Definition at line 186 of file gui_tilespec.h.

Referenced by redraw_happiness_city_dialog(), reload_small_citizens_icons(), and tilespec_free_city_icons().

## ◆ food

SDL_Surface* city_icon::food

Definition at line 167 of file gui_tilespec.h.

Referenced by create_unit_surface(), and tilespec_setup_city_icons().

## ◆ male_angry

SDL_Surface* city_icon::male_angry

Definition at line 187 of file gui_tilespec.h.

Referenced by redraw_happiness_city_dialog(), reload_small_citizens_icons(), and tilespec_free_city_icons().

## ◆ male_content

SDL_Surface* city_icon::male_content

Definition at line 183 of file gui_tilespec.h.

Referenced by redraw_happiness_city_dialog(), reload_small_citizens_icons(), and tilespec_free_city_icons().

## ◆ male_happy

SDL_Surface* city_icon::male_happy

Definition at line 181 of file gui_tilespec.h.

Referenced by redraw_happiness_city_dialog(), reload_small_citizens_icons(), and tilespec_free_city_icons().

## ◆ male_unhappy

SDL_Surface* city_icon::male_unhappy

Definition at line 185 of file gui_tilespec.h.

Referenced by redraw_happiness_city_dialog(), reload_small_citizens_icons(), and tilespec_free_city_icons().

## ◆ pBIG_Face

SDL_Surface* city_icon::pBIG_Face

Definition at line 161 of file gui_tilespec.h.

Referenced by tilespec_setup_city_icons().

## ◆ pColb

SDL_Surface* city_icon::pColb

Definition at line 172 of file gui_tilespec.h.

Referenced by tilespec_setup_city_icons().

## ◆ pLuxury

SDL_Surface* city_icon::pLuxury

Definition at line 170 of file gui_tilespec.h.

Referenced by tilespec_setup_city_icons().

## ◆ police

SDL_Surface* city_icon::police

Definition at line 177 of file gui_tilespec.h.

Referenced by redraw_happiness_city_dialog(), and tilespec_setup_city_icons().

## ◆ pollution

SDL_Surface* city_icon::pollution

Definition at line 176 of file gui_tilespec.h.

Referenced by redraw_info_city_dialog(), and tilespec_setup_city_icons().

## ◆ shield

SDL_Surface* city_icon::shield

Definition at line 168 of file gui_tilespec.h.

Referenced by create_unit_surface(), and tilespec_setup_city_icons().

## ◆ specialists

SDL_Surface* city_icon::specialists[SP_MAX]

Definition at line 190 of file gui_tilespec.h.

Referenced by redraw_happiness_city_dialog(), reload_small_citizens_icons(), and tilespec_free_city_icons().

## ◆ style

int city_icon::style

Definition at line 150 of file gui_tilespec.h.

Referenced by popup_city_cma_dialog(), real_city_dialog_popup(), reload_citizens_icons(), and tilespec_setup_city_icons().

## ◆ trade

SDL_Surface* city_icon::trade

Definition at line 169 of file gui_tilespec.h.

Referenced by redraw_info_city_dialog(), and tilespec_setup_city_icons().

## ◆ worklist

SDL_Surface* city_icon::worklist

Definition at line 178 of file gui_tilespec.h.

Referenced by real_city_report_dialog_update_city(), real_info_city_report_dialog_update(), and tilespec_setup_city_icons().